diff --git a/pydrm/image.py b/pydrm/image.py
index e59c3e3..f37a4c2 100644
--- a/pydrm/image.py
+++ b/pydrm/image.py
@@ -26,5 +26,5 @@ class DrmImageFramebuffer(DrmFramebuffer):
         # Convert RGBX -> Little Endian XRGB
         b = bytearray(self.image.tobytes())
         b[0::4], b[2::4] = b[2::4], b[0::4]
-        self.bo.map[:] = bytes(b)
+        self.bo.map[:len(b)] = bytes(b)
         super(DrmImageFramebuffer, self).flush(x1, y1, x2, y2)
